curl -X GET "https://api.fibrous.finance/{network}/v2/healthcheck"
const axios = require('axios');
axios.get('https://api.fibrous.finance/{network}/v2/healthcheck')
.then(response => {
console.log(`API Version: ${response.data.meta.apiVersion}`);
console.log(response.data);
})
.catch(error => console.error(error));
import requests
url = "https://api.fibrous.finance/{network}/v2/healthcheck"
response = requests.get(url)
data = response.json()
print(f"API Version: {data['meta']['apiVersion']}")
print(data)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class FibrousHealthCheck {
public static void main(String[] args) throws Exception {
String url = "https://api.fibrous.finance/{network}/v2/healthcheck";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.GET()
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println("Response: " + response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.fibrous.finance/{network}/v2/healthcheck"
resp, err := http.Get(url)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, err := io.ReadAll(resp.Body)
if err != nil {
panic(err)
}
fmt.Println("Response:", string(body))
}
{
"status": 200,
"message": "{Monad} Fibrous Finance Router is alive and well - routing your tokens faster than you can say \"impermanent loss\"",
"meta": {
"apiVersion": "2.0",
"timestamp": "2026-01-24T21:46:35.496Z"
}
}
Core Endpoints V2
Health Check (V2)
Check the health status of the V2 API
GET
/
{network}
/
v2
/
healthcheck
curl -X GET "https://api.fibrous.finance/{network}/v2/healthcheck"
const axios = require('axios');
axios.get('https://api.fibrous.finance/{network}/v2/healthcheck')
.then(response => {
console.log(`API Version: ${response.data.meta.apiVersion}`);
console.log(response.data);
})
.catch(error => console.error(error));
import requests
url = "https://api.fibrous.finance/{network}/v2/healthcheck"
response = requests.get(url)
data = response.json()
print(f"API Version: {data['meta']['apiVersion']}")
print(data)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class FibrousHealthCheck {
public static void main(String[] args) throws Exception {
String url = "https://api.fibrous.finance/{network}/v2/healthcheck";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.GET()
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println("Response: " + response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.fibrous.finance/{network}/v2/healthcheck"
resp, err := http.Get(url)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, err := io.ReadAll(resp.Body)
if err != nil {
panic(err)
}
fmt.Println("Response:", string(body))
}
{
"status": 200,
"message": "{Monad} Fibrous Finance Router is alive and well - routing your tokens faster than you can say \"impermanent loss\"",
"meta": {
"apiVersion": "2.0",
"timestamp": "2026-01-24T21:46:35.496Z"
}
}
Overview
The Health Check V2 endpoint verifies if the API is up and running. This endpoint can be used for monitoring and ensuring the API service is healthy. Currently available on EVM networks.V2 API is currently available on EVM networks. V1 endpoints remain available for backward compatibility.
Endpoint
- EVM networks
https://api.fibrous.finance/{network}/v2/healthcheck
Response
number
The HTTP status code. Will be 200 if the service is healthy.
string
A descriptive message about the API status.
object
required
curl -X GET "https://api.fibrous.finance/{network}/v2/healthcheck"
const axios = require('axios');
axios.get('https://api.fibrous.finance/{network}/v2/healthcheck')
.then(response => {
console.log(`API Version: ${response.data.meta.apiVersion}`);
console.log(response.data);
})
.catch(error => console.error(error));
import requests
url = "https://api.fibrous.finance/{network}/v2/healthcheck"
response = requests.get(url)
data = response.json()
print(f"API Version: {data['meta']['apiVersion']}")
print(data)
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
public class FibrousHealthCheck {
public static void main(String[] args) throws Exception {
String url = "https://api.fibrous.finance/{network}/v2/healthcheck";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.GET()
.build();
HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
System.out.println("Response: " + response.body());
}
}
package main
import (
"fmt"
"io"
"net/http"
)
func main() {
url := "https://api.fibrous.finance/{network}/v2/healthcheck"
resp, err := http.Get(url)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, err := io.ReadAll(resp.Body)
if err != nil {
panic(err)
}
fmt.Println("Response:", string(body))
}
{
"status": 200,
"message": "{Monad} Fibrous Finance Router is alive and well - routing your tokens faster than you can say \"impermanent loss\"",
"meta": {
"apiVersion": "2.0",
"timestamp": "2026-01-24T21:46:35.496Z"
}
}
Usage
Use this endpoint to:- Monitor API availability
- Check API version
- Implement health checks in your application
- Verify connectivity before making other API calls
- Track API response times via
meta.timestamp
Differences from V1
| Feature | V1 | V2 |
|---|---|---|
| Meta field | ❌ | ✅ Always present |
| API version tracking | ❌ | ✅ In meta field |
| Timestamp | ❌ | ✅ In meta field |
Rate Limits
The health check endpoint has a higher rate limit than other endpoints. Please refer to our rate limiting documentation for specific details.Related Endpoints
- Route V2 - Find optimal swap routes
- Route and Calldata V2 - Get route and calldata in one call
- Calldata V2 - Generate transaction data
- V2 Migration Guide - Complete migration guide